Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail
Class Quota

    java.lang.Object
      javax.mail.Quota

    public class Quota

extends java.lang.Object

This class represents a set of quotas for a given quota root. Each quota root has a set of resources, represented by the `Quota.Resource` class. Each resource has a name (for example, "STORAGE"), a current usage, and a usage limit. See RFC 2087.

Since:
  JavaMail 1.4

Nested Class Summary
`static class` | `Quota.Resource` An individual resource in a quota root.

Field Summary
`java.lang.String` | `quotaRoot` The name of the quota root.
`Quota.Resource[]` | `resources` The set of resources associated with this quota root.

Constructor Summary
`Quota(java.lang.String quotaRoot)` Create a Quota object for the named quotaroot with no associated resources.

Method Summary
`void` | `setResourceLimit(java.lang.String name, long limit)` Set a resource limit for this quota root.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### quotaRoot

    public java.lang.String quotaRoot

  The name of the quota root.

### resources

    public Quota.Resource[] resources

  The set of resources associated with this quota root.

Constructor Detail

### Quota

    public Quota(java.lang.String quotaRoot)

  Create a Quota object for the named quotaroot with no associated resources.

  Parameters:
    `quotaRoot` - the name of the quota root

Method Detail

### setResourceLimit

    public void setResourceLimit(java.lang.String name,
                                 long limit)

  Set a resource limit for this quota root.

  Parameters:
    `name` - the name of the resource
    `limit` - the resource limit

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD